Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.springframework.data.redis.support.collections
Enum RedisCollectionFactoryBean.CollectionType

    java.lang.Object
      java.lang.Enum<RedisCollectionFactoryBean.CollectionType>
          org.springframework.data.redis.support.collections.RedisCollectionFactoryBean.CollectionType

All Implemented Interfaces:
  Serializable, Comparable<RedisCollectionFactoryBean.CollectionType>

Enclosing class:
  RedisCollectionFactoryBean

    public static enum RedisCollectionFactoryBean.CollectionType

extends Enum<RedisCollectionFactoryBean.CollectionType>

Collection types supported by this factory.

Enum Constant Summary
`LIST`
`MAP`
`PROPERTIES`
`SET`
`ZSET`

Method Summary
`static RedisCollectionFactoryBean.CollectionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RedisCollectionFactoryBean.CollectionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LIST

    public static final RedisCollectionFactoryBean.CollectionType LIST

### SET

    public static final RedisCollectionFactoryBean.CollectionType SET

### ZSET

    public static final RedisCollectionFactoryBean.CollectionType ZSET

### MAP

    public static final RedisCollectionFactoryBean.CollectionType MAP

### PROPERTIES

    public static final RedisCollectionFactoryBean.CollectionType PROPERTIES

Method Detail

### values

    public static RedisCollectionFactoryBean.CollectionType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RedisCollectionFactoryBean.CollectionType c : RedisCollectionFactoryBean.CollectionType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RedisCollectionFactoryBean.CollectionType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD